import ax from '../api'

const studentPage = {
  state: {
    studentName: '',
    exam: {},
    submissionTypes: [],
    submissions: [],
    loading: true
  },
  mutations: {
    'SET_STUDENT_NAME': function (state, name) {
      state.studentName = name
    },
    'SET_EXAM': function (state, exam) {
      state.exam = exam
    },
    'SET_SUBMISSION_TYPES': function (state, submissionTypes) {
      state.submissionTypes = submissionTypes
    },
    'SET_SUBMISSIONS': function (state, submissions) {
      state.submissions = submissions
    },
    'SET_LOADING': function (state, loading) {
      state.loading = loading
    }
  },
  actions: {

    getStudentData (context) {
      context.commit('SET_LOADING', true)
      ax.get('api/student-page/').then(response => {
        const data = response.data
        context.commit('SET_STUDENT_NAME', data.name)
        context.commit('SET_EXAM', data.exam)
        context.commit('SET_SUBMISSIONS', data.submissions)
        context.commit('SET_LOADING', false)
      })
    }
  }
}

export default studentPage
